package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.EmsCls;

import java.util.List;

/**
 * 能源分类Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-30
 */
public interface EmsClsMapper {
    /**
     * 查询能源分类
     *
     * @param id 能源分类主键
     * @return 能源分类
     */
    EmsCls selectEmsClsById(Long id);

    /**
     * 查询能源分类列表
     *
     * @param emsCls 能源分类
     * @return 能源分类集合
     */
    List<EmsCls> selectEmsClsList(EmsCls emsCls);

    /**
     * 新增能源分类
     *
     * @param emsCls 能源分类
     * @return 结果
     */
    int insertEmsCls(EmsCls emsCls);

    /**
     * 修改能源分类
     *
     * @param dimGbEmsCls 能源分类
     * @return 结果
     */
    int updateEmsCls(EmsCls dimGbEmsCls);

    /**
     * 删除能源分类
     *
     * @param id 能源分类主键
     * @return 结果
     */
    int deleteEmsClsById(Long id);

    /**
     * 批量删除能源分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteEmsClsByIds(Long[] ids);
}
